flow123d_version: 2.0.0
output_streams:
  - &anchor1
    file: test_20.pvd
    format: !vtk
      variant: ascii
    name: flow_output_stream
  - &anchor2
    file: transport_test_20.pvd
    format: !vtk
      variant: ascii
    time_step: 0.5
    name: transport_output_stream
problem: !Coupling_Sequential
  description: Adsorption all
  mesh:
    mesh_file: ../00_mesh/rectangle_5x1.msh
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: rectangle
        conductivity: 0.125
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: x
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream: 
      file: test_20.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: ALL
          init_conc: 0
          porosity: 0.25
        - region: .BOUNDARY
          bc_conc: !FieldFormula
            value: 0.05*t
    substances:
      - A
      - As-lin
      - Bs-lang
      - Cs-freund
    output_stream: 
      file: transport_test_20.pvd
      format: !vtk
        variant: ascii
      name: transport_output_stream
      times:
        - step: 0.5
    time:
      end_time: 15.0
    reaction_term: !Sorption
      solvent_density: 1.0
      substances:
        - A
        - As-lin
        - Bs-lang
        - Cs-freund
      solubility:
        - 1.0
        - 1.0
        - 1.0
        - 1.0
      input_fields:
        - region: ALL
          rock_density: 1.0
          sorption_type: linear
          isotherm_mult: !FieldFormula
            value: '0.6'
          isotherm_other: 0.4
      output:
        fields: []
    balance:
      cumulative: true